#ifndef __XFBIB_BIBTEX_VALUE_H
#define __XFBIB_BIBTEX_VALUE_H

#include <glib-object.h>

#define XFBIB_TYPE_BIBTEX_VALUE             (xfbib_bibtex_value_get_type())
#define XFBIB_BIBTEX_VALUE(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_BIBTEX_VALUE, XfbibBibtexValue))
#define XFBIB_IS_BIBTEX_VALUE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_BIBTEX_VALUE))
#define XFBIB_BIBTEX_VALUE_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_BIBTEX_VALUE, XfbibBibtexValueClass))
#define XFBIB_IS_BIBTEX_VALUE_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_BIBTEX_VALUE))
#define XFBIB_BIBTEX_VALUE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_BIBTEX_VALUE, XfbibBibtexValueClass))

G_BEGIN_DECLS

typedef struct _XfbibBibtexValue         XfbibBibtexValue;

GType xfbib_bibtex_value_get_type() G_GNUC_CONST;

XfbibBibtexValue *xfbib_bibtex_value_new(GObject *);
GObject *xfbib_bibtex_value_get_owner(XfbibBibtexValue *);
gboolean xfbib_bibtex_value_parse(XfbibBibtexValue *, const gchar *);
GList *xfbib_bibtex_value_get(XfbibBibtexValue *);
void xfbib_bibtex_value_set(XfbibBibtexValue *, GList *);
gchar *xfbib_bibtex_value_get_str(XfbibBibtexValue *);
void xfbib_bibtex_value_set_str(XfbibBibtexValue *, const gchar *);

G_END_DECLS

#endif //__XFBIB_BIBTEX_VALUE_H

